
package org.cocktail.fwkcktlprescolarite.common.metier.services.aglae3.inscriptionws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

import org.cocktail.fwkcktlprescolarite.common.metier.services.aglae3.ws.ObjectFactory;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "InscriptionWS", targetNamespace = "https://aglaestage.ac-paris.fr/inscriptionWS/services/InscriptionWS")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface InscriptionWS {


    /**
     * 
     */
    @WebMethod(operationName = "InscriptionWS")
    @RequestWrapper(localName = "InscriptionWS", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.InscriptionWS")
    @ResponseWrapper(localName = "InscriptionWSResponse", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.InscriptionWSResponse")
    public void inscriptionWS();

    /**
     * 
     * @param in1
     * @param in0
     * @return
     *     returns boolean
     */
    @WebMethod
    @WebResult(name = "authentifierReturn", targetNamespace = "http://ws.aglae3.paris.edu.fr")
    @RequestWrapper(localName = "authentifier", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.Authentifier")
    @ResponseWrapper(localName = "authentifierResponse", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.AuthentifierResponse")
    public boolean authentifier(
        @WebParam(name = "in0", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in0,
        @WebParam(name = "in1", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in1);

    /**
     * 
     * @param in2
     * @param in1
     * @param in4
     * @param in3
     * @param in0
     * @param in5
     * @param in6
     * @param in7
     * @param in8
     * @return
     *     returns java.lang.String
     */
    @WebMethod
    @WebResult(name = "getStatutBoursierReturn", targetNamespace = "http://ws.aglae3.paris.edu.fr")
    @RequestWrapper(localName = "getStatutBoursier", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.GetStatutBoursier")
    @ResponseWrapper(localName = "getStatutBoursierResponse", targetNamespace = "http://ws.aglae3.paris.edu.fr", className = "fr.edu.paris.aglae3.ws.GetStatutBoursierResponse")
    public String getStatutBoursier(
        @WebParam(name = "in0", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in0,
        @WebParam(name = "in1", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in1,
        @WebParam(name = "in2", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in2,
        @WebParam(name = "in3", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in3,
        @WebParam(name = "in4", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in4,
        @WebParam(name = "in5", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in5,
        @WebParam(name = "in6", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in6,
        @WebParam(name = "in7", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in7,
        @WebParam(name = "in8", targetNamespace = "http://ws.aglae3.paris.edu.fr")
        String in8);

}
